Subject: RE: pmtu across translators

From: [email-masked]
Date: Thu, 29 Mar 2001 13:55:22 +0300

> RFC 2460 section 5 last paragraph says:
>    In response to an IPv6 packet that is sent to an IPv4 destination
>    (i.e., a packet that undergoes translation from IPv6 to IPv4), the
>    originating IPv6 node may receive an ICMP Packet Too Big message
>    reporting a Next-Hop MTU less than 1280.  In that case, 
> the IPv6 node
>    is not required to reduce the size of subsequent packets 
> to less than
>    1280, but must include a Fragment header in those packets 
> so that the
>    IPv6-to-IPv4 translating router can obtain a suitable 
> Identification
>    value to use in resulting IPv4 fragments.  Note that this means the
>    payload may have to be reduced to 1232 octets (1280 minus 
> 40 for the
>    IPv6 header and 8 for the Fragment header), and smaller still if
>    additional extension headers are used.
> 
> Does that answer your question?

I know about that, but my question is whether i need to add a frag header
everytime path mtu discovery fails (i.e. i get some mtu value < 1280 from
the pkt too big message). The only case when i think pmtu discovery can fail
is in the "translator scenario" (do you know of any other cases??). But note
that RFC 2460 says that we need to add a frag header "In response to an IPv6
packet that is sent to an IPv4 destination....". I think it should be
something like "Add a frag header when pmtu discovery to a destination
fails" since we cannot distinguish the case when path mtu discovery is done
from ipv6 to ipv4.

regards,
imran
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Erik Nordmark <[email-masked]>
Date: Thu, 29 Mar 2001 09:16:58 -0800 (PST)

> the pkt too big message). 

I assume the key part is inside the parenthesis above (I haven't
heard anybody refer to this as "failure").
In general I think that is the best approach.
Note that with SIIT translators the IPv6 node can tell that there
is a translator in the path (the destination address is an IPv4-mapped address)
but that isn't the case when there is a NAT-PR translator.

So apart from calling this "pmtu discovery fails" I agree with you.

  Erik

> The only case when i think pmtu discovery can fail